---
search:
  tags:
    - Billing
    - GET
seo:
  description: >-
    List invoices. Reference for the GET
    /v1/organizations/{orgId}/billing/invoices endpoint in the Stashtab Vault
    Warehouse API.
sidebar:
  label: List invoices
  badge: GET
title: List invoices
type: openapi-operation
---
`GET /v1/organizations/{orgId}/billing/invoices`

**Responses**

- `200` — Success
- `default` — Error

Response example, 200:

```json
{
  "data": [
    {
      "amountDue": -9007199254740991,
      "amountPaid": -9007199254740991,
      "amountRemaining": -9007199254740991,
      "createdAt": "2019-08-24T14:15:22Z",
      "currency": "string",
      "dueAt": "2019-08-24T14:15:22Z",
      "finalizedAt": "2019-08-24T14:15:22Z",
      "id": "string",
      "number": "string",
      "paidAt": "2019-08-24T14:15:22Z",
      "periodEndsAt": "2019-08-24T14:15:22Z",
      "periodStartsAt": "2019-08-24T14:15:22Z",
      "state": {
        "stage": "draft"
      },
      "subscription": true,
      "subtotal": -9007199254740991,
      "total": -9007199254740991
    }
  ],
  "meta": {
    "requestId": "string",
    "nextCursor": "string",
    "previousCursor": "string"
  }
}
```
